V1 and V2Relationships

Update a relationship

PATCH
/api/v1/relationships/{relationship_id}

Current version of the API supports the following attributes:

fieldtypedescription
namestringhuman-friendly name

any other attributes will be ignored

Authorization

bearerAuth
AuthorizationBearer <token>

Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.

In: header

Path Parameters

relationship_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH 'https://example.com/api/v1/relationships/string' \  -H 'Content-Type: application/json' \  --data-raw '{  "name": "new name"}'
{  "data": [    {      "id": "5d8362c226387abb39cddb88",      "created_at": "2019-09-19T00:00:00.000000+00:00",      "modified": "2019-09-19T00:00:00.000008+00:00",      "name": "Gift basket",      "label": "gift_basket"    }  ]}